Subject: Re: bug#18556: 24.4.50; update-file-autoloads never ends

From: Glenn Morris <[email-masked]>
Date: Fri, 05 May 2017 01:37:38 -0400

Vincent Belaïche wrote:

> BTW, I had not noticed this, even if you cannot reproduce getting
> hung, nevertheless there seems to be a problem in what you logged :
> the my_autoloads.el that you produced is basically empty. That should
> not be the case, there should be at least balance-mode function as
> auto-loadable.

That's because you passed nil for the SAVE-AFTER argument of
update-file-autoloads.